ImagickDraw::destroy
ImagickDraw::getClipPath
ImagickDraw
PHP Manual

# ImagickDraw::ellipse

(PECL imagick 2.0.0)

ImagickDraw::ellipse — Draws an ellipse on the image

### Description

bool ImagickDraw::ellipse ( float `$ox` , float `$oy` , float `$rx` , float `$ry` , float `$start` , float `$end` )
Warning

This function is currently not documented; only its argument list is available.

Draws an ellipse on the image.

### Parameters

`ox`

`oy`

`rx`

`ry`

`start`

`end`

### Return Values

No value is returned.

### Examples

Example #1 ImagickDraw::ellipse()

`<?php
function ellipse($strokeColor, $fillColor, $backgroundColor) {
$draw = new \ImagickDraw();
$draw->setStrokeColor($strokeColor);
$draw->setFillColor($fillColor);
$draw->setStrokeWidth(2);
$draw->setFontSize(72);
$draw->ellipse(125, 70, 100, 50, 0, 360);
$draw->ellipse(350, 70, 100, 50, 0, 315);
$draw->push();
$draw->translate(125, 250);
$draw->rotate(30);
$draw->ellipse(0, 0, 100, 50, 0, 360);
$draw->pop();
$draw->push();
$draw->translate(350, 250);
$draw->rotate(30);
$draw->ellipse(0, 0, 100, 50, 0, 315);
$draw->pop();
$imagick = new \Imagick();
$imagick->newImage(500, 500, $backgroundColor);
$imagick->setImageFormat("png");
$imagick->drawImage($draw);
header("Content-Type: image/png");
echo $imagick->getImageBlob();
}
?>`

ImagickDraw::destroy
ImagickDraw::getClipPath
ImagickDraw
PHP Manual